package cz.jzitnik.game.entities.items.registry.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@BlockRegistry("diamond_block")
public class DiamondBlock extends Block {
    public DiamondBlock() {
        super("diamond_block", SpriteLoader.SPRITES.DIAMOND_BLOCK, 15, ItemType.PICKAXE,
                Arrays.stream(ToolVariant.values()).toList());
    }
}
